You are not logged in.

#1 2021-03-29 15:45:06

dmp1ce
Member
Registered: 2014-05-30
Posts: 22
Website

[SOLVED] Docker image not able to update

I'm trying to use the archlinux/base Docker image and follow the instruction to update, but I'm getting an error from pacman. Am I doing something wrong? If this is an issue, how can I report the issue?

$ docker build ./
Sending build context to Docker daemon  78.34kB
Step 1/2 : FROM archlinux/base
 ---> 68ecf9fdd6d5
Step 2/2 : RUN pacman -Syu --noconfirm
 ---> Running in fb9b9c59ca0f
:: Synchronizing package databases...
downloading core.db...
downloading extra.db...
downloading community.db...
:: Starting full system upgrade...
:: Replace libsystemd with core/systemd-libs? [Y/n]
:: Replace libutil-linux with core/util-linux-libs? [Y/n]
resolving dependencies...
looking for conflicting packages...

Packages (99) acl-2.3.1-1  archlinux-keyring-20210110-1  argon2-20190702-3  attr-2.5.1-1  audit-3.0.1-1  bash-5.1.004-1  bzip2-1.0.8-4  ca-certificates-20181109-4  ca-certificates-mozilla-3.63-1  ca-certificates-utils-20181109-4  coreutils-8.32-1  cracklib-2.9.7-2  cryptsetup-2.3.5-1  curl-7.75.0-1  db-5.3.28-5  dbus-1.12.20-1  device-mapper-2.03.11-5  e2fsprogs-1.46.2-1  expat-2.2.10-2  file-5.39-1  filesystem-2021.01.19-1  findutils-4.8.0-1  gcc-libs-10.2.0-6  gdbm-1.19-2  glib2-2.68.0-5  glibc-2.33-4  gmp-6.2.1-1  gnupg-2.2.27-1  gnutls-3.7.1-1  gpgme-1.15.1-1  gzip-1.10-3  hwids-20201207-1  iana-etc-20210202-1  iptables-1:1.8.7-1  json-c-0.15-1  kbd-2.4.0-2  keyutils-1.6.3-1  kmod-28-1  krb5-1.19.1-1  less-580-1  libarchive-3.5.1-1  libassuan-2.5.5-1  libcap-2.49-1  libcap-ng-0.8.2-1  libelf-0.183-3  libffi-3.3-4  libgcrypt-1.9.2-1  libgpg-error-1.42-1  libidn2-2.3.0-1  libksba-1.4.0-2  libldap-2.4.57-1  libmnl-1.0.4-3  libnetfilter_conntrack-1.0.8-1  libnfnetlink-1.0.1-4  libnftnl-1.1.9-1  libnghttp2-1.43.0-1  libnl-3.5.0-2  libp11-kit-0.23.22-1  libpcap-1.10.0-1  libpsl-0.21.1-1  libsasl-2.1.27-3  libseccomp-2.5.1-2  libsecret-0.20.4-1  libssh2-1.9.0-2  libsystemd-240.34-3 [removal]  libtasn1-4.16.0-1  libtirpc-1.3.1-1  libunistring-0.9.10-3  libusb-1.0.24-2  libutil-linux-2.33.1-2 [removal]  libxcrypt-4.4.18-1  linux-api-headers-5.10.13-1  lz4-1:1.9.3-1  ncurses-6.2-1  nettle-3.7.2-1  npth-1.6-3  openssl-1.1.1.k-1  p11-kit-0.23.22-1  pacman-5.2.2-2  pacman-mirrorlist-20210302-1  pam-1.5.1-1  pambase-20200721.1-2  pcre-8.44-1  pcre2-10.36-1  perl-5.32.1-1  pinentry-1.1.1-1  popt-1.18-1  readline-8.1.0-2  sed-4.8-1  shadow-4.8.1-4  sqlite-3.35.3-1  systemd-247.4-2  systemd-libs-247.4-2  tzdata-2021a-1  util-linux-2.36.2-1  util-linux-libs-2.36.2-1  xz-5.2.5-1  zlib-1:1.2.11-4  zstd-1.4.9-1

Total Download Size:   111.99 MiB
Total Installed Size:  474.96 MiB
Net Upgrade Size:       63.53 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
downloading linux-api-headers-5.10.13-1-any.pkg.tar.zst...
downloading tzdata-2021a-1-x86_64.pkg.tar.zst...
downloading iana-etc-20210202-1-any.pkg.tar.zst...
downloading filesystem-2021.01.19-1-x86_64.pkg.tar.zst...
downloading glibc-2.33-4-x86_64.pkg.tar.zst...
downloading attr-2.5.1-1-x86_64.pkg.tar.zst...
downloading acl-2.3.1-1-x86_64.pkg.tar.zst...
downloading archlinux-keyring-20210110-1-any.pkg.tar.zst...
downloading argon2-20190702-3-x86_64.pkg.tar.zst...
downloading gcc-libs-10.2.0-6-x86_64.pkg.tar.zst...
downloading ncurses-6.2-1-x86_64.pkg.tar.zst...
downloading readline-8.1.0-2-x86_64.pkg.tar.zst...
downloading bash-5.1.004-1-x86_64.pkg.tar.zst...
downloading util-linux-libs-2.36.2-1-x86_64.pkg.tar.zst...
downloading e2fsprogs-1.46.2-1-x86_64.pkg.tar.zst...
downloading openssl-1.1.1.k-1-x86_64.pkg.tar.zst...
downloading libsasl-2.1.27-3-x86_64.pkg.tar.zst...
downloading libldap-2.4.57-1-x86_64.pkg.tar.zst...
downloading keyutils-1.6.3-1-x86_64.pkg.tar.zst...
downloading krb5-1.19.1-1-x86_64.pkg.tar.zst...
downloading libcap-ng-0.8.2-1-x86_64.pkg.tar.zst...
downloading audit-3.0.1-1-x86_64.pkg.tar.zst...
downloading bzip2-1.0.8-4-x86_64.pkg.tar.zst...
downloading gmp-6.2.1-1-x86_64.pkg.tar.zst...
downloading libtirpc-1.3.1-1-x86_64.pkg.tar.zst...
downloading pambase-20200721.1-2-any.pkg.tar.zst...
downloading libxcrypt-4.4.18-1-x86_64.pkg.tar.zst...
downloading pam-1.5.1-1-x86_64.pkg.tar.zst...
downloading libcap-2.49-1-x86_64.pkg.tar.zst...
downloading coreutils-8.32-1-x86_64.pkg.tar.zst...
downloading findutils-4.8.0-1-x86_64.pkg.tar.zst...
downloading libtasn1-4.16.0-1-x86_64.pkg.tar.zst...
downloading libffi-3.3-4-x86_64.pkg.tar.zst...
downloading libp11-kit-0.23.22-1-x86_64.pkg.tar.zst...
downloading libgpg-error-1.42-1-x86_64.pkg.tar.zst...
downloading libgcrypt-1.9.2-1-x86_64.pkg.tar.zst...
downloading lz4-1:1.9.3-1-x86_64.pkg.tar.zst...
downloading xz-5.2.5-1-x86_64.pkg.tar.zst...
downloading zlib-1:1.2.11-4-x86_64.pkg.tar.xz...
downloading zstd-1.4.9-1-x86_64.pkg.tar.zst...
downloading systemd-libs-247.4-2-x86_64.pkg.tar.zst...
downloading p11-kit-0.23.22-1-x86_64.pkg.tar.zst...
downloading ca-certificates-utils-20181109-4-any.pkg.tar.zst...
downloading ca-certificates-mozilla-3.63-1-x86_64.pkg.tar.zst...
downloading ca-certificates-20181109-4-any.pkg.tar.zst...
downloading cracklib-2.9.7-2-x86_64.pkg.tar.xz...
downloading device-mapper-2.03.11-5-x86_64.pkg.tar.zst...
downloading popt-1.18-1-x86_64.pkg.tar.zst...
downloading json-c-0.15-1-x86_64.pkg.tar.zst...
downloading cryptsetup-2.3.5-1-x86_64.pkg.tar.zst...
downloading libssh2-1.9.0-2-x86_64.pkg.tar.xz...
downloading libunistring-0.9.10-3-x86_64.pkg.tar.zst...
downloading libidn2-2.3.0-1-x86_64.pkg.tar.xz...
downloading libpsl-0.21.1-1-x86_64.pkg.tar.zst...
downloading libnghttp2-1.43.0-1-x86_64.pkg.tar.zst...
downloading curl-7.75.0-1-x86_64.pkg.tar.zst...
downloading db-5.3.28-5-x86_64.pkg.tar.xz...
downloading expat-2.2.10-2-x86_64.pkg.tar.zst...
downloading dbus-1.12.20-1-x86_64.pkg.tar.zst...
downloading gdbm-1.19-2-x86_64.pkg.tar.zst...
downloading pcre-8.44-1-x86_64.pkg.tar.zst...
downloading glib2-2.68.0-5-x86_64.pkg.tar.zst...
downloading npth-1.6-3-x86_64.pkg.tar.zst...
downloading libksba-1.4.0-2-x86_64.pkg.tar.zst...
downloading libassuan-2.5.5-1-x86_64.pkg.tar.zst...
downloading libsecret-0.20.4-1-x86_64.pkg.tar.zst...
downloading pinentry-1.1.1-1-x86_64.pkg.tar.zst...
downloading nettle-3.7.2-1-x86_64.pkg.tar.zst...
downloading gnutls-3.7.1-1-x86_64.pkg.tar.zst...
downloading sqlite-3.35.3-1-x86_64.pkg.tar.zst...
downloading gnupg-2.2.27-1-x86_64.pkg.tar.zst...
downloading gpgme-1.15.1-1-x86_64.pkg.tar.zst...
downloading pcre2-10.36-1-x86_64.pkg.tar.zst...
downloading less-580-1-x86_64.pkg.tar.zst...
downloading gzip-1.10-3-x86_64.pkg.tar.xz...
downloading hwids-20201207-1-any.pkg.tar.zst...
downloading libmnl-1.0.4-3-x86_64.pkg.tar.xz...
downloading libnftnl-1.1.9-1-x86_64.pkg.tar.zst...
downloading libnl-3.5.0-2-x86_64.pkg.tar.xz...
downloading libpcap-1.10.0-1-x86_64.pkg.tar.zst...
downloading libnfnetlink-1.0.1-4-x86_64.pkg.tar.zst...
downloading libnetfilter_conntrack-1.0.8-1-x86_64.pkg.tar.zst...
downloading iptables-1:1.8.7-1-x86_64.pkg.tar.zst...
downloading kbd-2.4.0-2-x86_64.pkg.tar.zst...
downloading kmod-28-1-x86_64.pkg.tar.zst...
downloading libarchive-3.5.1-1-x86_64.pkg.tar.zst...
downloading libelf-0.183-3-x86_64.pkg.tar.zst...
downloading libseccomp-2.5.1-2-x86_64.pkg.tar.zst...
downloading libusb-1.0.24-2-x86_64.pkg.tar.zst...
downloading pacman-mirrorlist-20210302-1-any.pkg.tar.zst...
downloading pacman-5.2.2-2-x86_64.pkg.tar.zst...
downloading perl-5.32.1-1-x86_64.pkg.tar.zst...
downloading sed-4.8-1-x86_64.pkg.tar.zst...
downloading shadow-4.8.1-4-x86_64.pkg.tar.zst...
downloading file-5.39-1-x86_64.pkg.tar.zst...
downloading util-linux-2.36.2-1-x86_64.pkg.tar.zst...
downloading systemd-247.4-2-x86_64.pkg.tar.zst...
checking keyring...
downloading required keys...
error: key "6D42BDD116E0068F" could not be looked up remotely
error: key "7258734B41C31549" could not be looked up remotely
error: key "3B94A80E50A477C7" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.
The command '/bin/sh -c pacman -Syu --noconfirm' returned a non-zero code: 1

I also posted on the Docker forum here: https://forums.docker.com/t/update-dock … ely/106543

I couldn't figure out how to sign up on the Arch Linux Gitlab to report the issue. https://gitlab.archlinux.org/archlinux/ … r/-/issues

Last edited by dmp1ce (2021-03-29 19:22:52)

Offline

#2 2021-03-29 15:55:37

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 8,414

Re: [SOLVED] Docker image not able to update

libsystemd? Whatever you're trying to update is ANCIENT, and that's why you're having problems. That and gpg not having access to a working keyserver.

Edit: Over 2 years old: https://github.com/archlinux/svntogit-p … 413a95d300. That means that pacman inside that container is actually too old to successfully update the system anyway. You can probably get it to update by updating archlinux-keyring first, but then you'll need to reinstall all packages to get the hooks to run correctly.

Last edited by Scimmia (2021-03-29 15:59:51)

Online

#3 2021-03-29 19:21:49

dmp1ce
Member
Registered: 2014-05-30
Posts: 22
Website

Re: [SOLVED] Docker image not able to update

I was using the wrong image! In my Dockerfile I had "archlinux/base" when I should have had "archlinux:base". ?

Offline

Board footer

Powered by FluxBB